## Script (Python) "home_index"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=batch=None
##title=
##
# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
"""
return the correct campus_index_html
"""


request = context.REQUEST
redirect = request.RESPONSE.redirect
pm = context.portal_membership

if pm.isAnonymousUser():
    return redirect("%s/campus_anonymous_view" % request.get('URL1')) 

campus = context.portal_catalog(meta_type = "University")[-1].getObject()
member = pm.getAuthenticatedMember()
roles = member.getRoles()
isManager = "Manager" in roles or "SectionManager" in roles
isStudent = "Student" in roles

if isManager:
    return redirect("%s/campus_manager_view" % campus.absolute_url())
   
if isStudent:
    return redirect("%s/students_index" % campus.students.absolute_url())

